<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->{% extends "base.html" %}
{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<div ng-cloak="ng-cloak" ng-controller="basketToCommandController">
  <div>
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div class="col-md-12">
    <h1><a href="{{ 'distributor.get_absolute_url' | ng }}">{{ 'distributor.repr' | ng }}</a>
    </h1>
    <div class="row">
      <div class="col-md-6">
        <table class="table table-condensed">
          <tbody>
            <tr>
              <td>{% trans "Number of titles" %}</td>
              <td class="text-right">{{ 'totals.total_cards' | ng }}</td>
            </tr>
            <tr>
              <td>{% trans "Copies to command" %}</td>
              <td class="text-right">{{ 'totals.total_copies' | ng }}</td>
            </tr>
            <tr>
              <td>{% trans "total" %}</td>
              <td class="text-right">{{ 'totals.total_price_fmt' |ng}}</td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="col-md-6">
      </div>
    </div>
    <div>
      <div class="col-md-7">
        <div class="row"><a href="" class="my-black-link">
            <h4 id="" class="col-md-6 myanchor"><a href="mailto:{{'distributor.email'|ng}}?subject={% trans 'New command' %}&body={% trans 'Hello' %} %0D%0A %0D%0A {{ 'body' | ng }}" ng-click="get_body()"><i title="{% trans 'Write to' %}  {{ 'distributor.name' | ng}} {% trans ' with your desktop mail client' %}" class="glyphicon glyphicon-envelope"></i></a>
              <div class="btn-group">
                <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn btn-default dropdown-toggle">{% trans "Action" %}<span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                  <li><a ng-click="empty()">{% trans "Remove all" %}</a>
                  </li>
                </ul>
              </div>
              <div class="btn-group">
                <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" title="{% trans 'Export the list to the required format' %}" class="btn btn-default dropdown-toggle">{% trans "Export" %}<span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                  <li><a href="/baskets/1/export?format=txt&report=simplelisting&distributor_id={{ 'distributor.id' | ng}}" title="{% trans "Export the list of all cards to command in txt format." %}">{% trans "Listing" %} - txt</a>
                  </li>
                  <li><a href="/baskets/1/export?format=csv&report=simplelisting&distributor_id={{ 'distributor.id' | ng}}" title="{% trans "Export the list of all cards to command in a csv, suitable for LibreOffice and to give to other services, like Dilicom." %}">{% trans "isbn and quantity" %} - csv (Dilicom)</a>
                    {% trans "quantity" as text_quantity %}
                  <li><a href="/baskets/1/export?format=csv&report=simplelisting&with_title=1&distributor_id={{ 'distributor.id' | ng}}">{% trans "isbn" %}, {{ text_quantity | lower }}, {% trans "title" %} - csv</a>
                  </li>
                  <li><a href="/baskets/1/export?format=pdf&report=listing&barcodes=true&distributor_id={{ 'distributor.id' | ng}}" title="{% trans "Export the list of all cards to command in a pdf." %}">{% trans "pdf with barcodes" %}</a>
                  </li>
                </ul>
              </div>
              <button ng-click="validate_command()" title="{% trans "The command was passed, we`ll wait to receive it." %}" class="btn btn-success">{% trans "Ok" %}</button>
              <div class="btn-group"><a href="http://abelujo.cc/docs/commands/" target="_blank">
                  <button title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i>
                  </button></a><a ng-click="toggle_images()" title="{% trans "Hide and show covers (d)" %}">
                  <button class="btn btn-default"><i class="glyphicon glyphicon-th-list"></i>
                  </button></a>
              </div>
            </h4></a>
        </div>
      </div>
      <div class="col-md-5">
        <form>
          <div class="col-md-12">
            <p class="input-group">
              <input id="default-input" type="text" typeahead-loading="loadingCards" ng-model="copy_selected" uib-typeahead="copy.repr for copy in getCards($viewValue)" typeahead-min-length="3" typeahead-wait-ms="300" typeahead-on-select="add_selected_card($item)" title="{% trans 'Use TAB to validate your choice, Enter to proceed.' %}" id="default-input" placeholder="{% trans "Search any isbn, search by keywords in your stock" %}" class="nullable form-control"/><span class="input-group-btn">
                <button type="button" class="btn btn-default"><i class="glyphicon glyphicon-search"></i>
                </button></span>
            </p>
          </div>
        </form>
      </div>
    </div>
    <div class="row">
      <div class="btn-group"><span aria-label="page navigation" class="text-right">
          <ul ng-show="true" ng-cloak="ng-cloak" class="pagination">
            <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
            </li>
            <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
            </li>
            <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
            </li>
            <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
            </li>
            <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
            </li>
          </ul></span>
      </div>
    </div>
    <div class="row">
      <table class="table table-condensed table-striped">
        <thead>
          <th ng-show="show_images"></th>
          <th>{% trans "Title" %}</th>
          <th>{% trans "Author" %}</th>
          <th>{% trans "Publisher" %}</th>
          <th class="text-right">{% trans "Price" %}</th>
          <th class="text-right">{% trans "With discount" %} {{ 'distributor.discount' | ng}}</th>
          <th class="text-right">{% trans "Quantity left" %}</th>
          <th class="text-right">{% trans "To command" %}</th>
        </thead>
        <tbody>
          <tr ng-repeat="card in cards">
            <td ng-show="show_images">
              <div ng-show="show_images" class="col-md-6">

                <!-- Click to enlarge image. -->
                <a data-toggle="modal"
                   data-target="#enlargeImageModal{{ 'card.id' | ng }}"
	           title="{% trans 'Enlarge image' %}">
                  <img ng-show="card.img" ng-src="{{ 'card.img' | ng }}" class="myImg mouse-pointer" alt="cover image"/>
                </a>
              </div>

              <!-- enlargeImageModal ci-dessous: -->
              <div id="enlargeImageModal{{ 'card.id' | ng }}" class="modal">
                {% include "search/modale_enlarge_image_body.html" %}
              </div>

              </div>
            </td>
            <td class="col-md-6"><span ng-hide="card.isbn" title="Cette notice n'a pas d'ISBN. Elle ne peut pas être commandée via Dilicom."><i class="glyphicon glyphicon-warning-sign">&nbsp;</i></span><span><a href="{{ 'card.get_absolute_url' | ng}}">{{ 'card.title' | ng }}</a></span>
              <div ng-show="show_images">{{ 'card.isbn' | ng }}</div>
            </td>
            <td class="col-md-1">{{ 'card.authors_repr' | ng }}</td>
            <td class="col-md-1">{{ 'card.pubs_repr' | ng }}</td>
            <td class="col-md-1 text-right">{{ 'card.price_fmt' |ng }}</td>
            <td class="col-md-1 text-right">{{ 'card.price_discounted_fmt' |ng }}</td>
            <td class="col-md-1 text-right">{{ 'card.quantity' |ng }}</td>
            <td class="col-md-1">
              <input type="number" min="0" max="99" ng-model="card.basket_qty" ng-change="save_quantity($index)" class="my-number-input"/><i ng-click="remove_from_selection(dist_name, $index)" style="padding-left: 1em;" title="{% trans "Remove from list" %}" class="glyphicon glyphicon-remove mouse-pointer"></i>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="row">
      <div class="btn-group"><span aria-label="page navigation" class="text-right">
          <ul ng-show="true" ng-cloak="ng-cloak" class="pagination">
            <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
            </li>
            <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
            </li>
            <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
            </li>
            <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
            </li>
            <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
            </li>
          </ul></span>
      </div>
    </div>
  </div>
  <!-- we'll use the modal shortly !-->
  <script type="text/ng-template" id="commandModal.html">
    <div class="modal-header">
      <h3 class="modal-title">{% trans "Command" %}</h3>
      <div>{% trans "The cards are grouped by supplier. Please check the list and confirm." %}</div>
    </div>
    <div class="modal-body">
      <div ng-repeat="card in cards">
        <h4>{% trans "Supplier" %}: {{ 'distributor.name' | ng }}</h4>
        <div ng-repeat="card in cards">
          <div>{{'card.title'|ng}}</div>
        </div>
      </div>
    </div>
  </script>
</div>
{% endblock %}
